<!-- ..................................................... -->
<!-- Genealogy Family Tree Module  ....................... -->
<!-- file: family_tree.mod

     This DTD describes a FAMILY_TREE element intended for use
     as the root element in family tree documents. It was
     developed as an example for Chapter 25 of the
     XML Bible, 3rd Edition,
     by Elliotte Rusty Harold (elharo@metalab.unc.edu)
     Published by Wiley 2004. ISBN 0-7645-4986-3.

     This schema is placed in the public domain. Please 
     feel free to use it or adapt it in any way you like.

     This DTD is identified by the PUBLIC and SYSTEM
     identifiers:

     PUBLIC "-//ERH//Genealogy Family Tree Module 1.0//EN"
            "family_tree.mod"

     SYSTEM "family_tree.mod"

     It is not a formal standard, and has not been considered
     or approved by any standards body.

     ..................................................... -->

<!-- A family tree consists of any number of SOURCE, PERSON, 
     and FAMILY elements in any order. These are all top-level
     elements that refer to each other by ID attributes
     and references. None of them contain any of the others.
-->
<!ELEMENT %FAMILY_TREE.qname; (
  %SOURCE.qname; | %PERSON.qname; | %FAMILY.qname;
  )*
>

